package com.bocloud.cmp.provider.security;

import com.bocloud.cmp.model.sangfor.SangforFirewallRuleModel;
import com.bocloud.cmp.provider.SuperProvider;
import com.bocloud.common.model.BocloudResult;


public interface FirewallRuleProvider extends SuperProvider {
    default BocloudResult list(){
        return new BocloudResult(false, "尚未实现");
    }

    default BocloudResult updateRule(SangforFirewallRuleModel firewallRuleModel){
        return new BocloudResult(false, "尚未实现");
    }

    default BocloudResult create(SangforFirewallRuleModel firewallRuleModel){
        return new BocloudResult(false, "尚未实现");
    }
    default BocloudResult remove(String firewallRuleId){
        return new BocloudResult(false, "尚未实现");
    }

    default BocloudResult getIpgps(String query){
        return new BocloudResult(false, "尚未实现");
    }

    default BocloudResult serviceDefault(String query_srv){
        return new BocloudResult(false, "尚未实现");
    }

    default BocloudResult serviceCustomdefault(){
        return new BocloudResult(false, "尚未实现");
    }
}
